import HellbornItemSheet from "./base-item-sheet.mjs"

export default class HellbornDealSheet extends HellbornItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["deal"],
    position: {
      width: 600,
    },
    window: {
      contentClasses: ["deal-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-hellborn/templates/deal.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.enrichedDescription = await foundry.applications.ux.TextEditor.implementation.enrichHTML(this.document.system.description, { async: true })
    return context
  }
}
